org.jbpm.services.api.model

## Interface UserTaskInstanceWithPotOwnerDesc

- All Superinterfaces:
    UserTaskInstanceDesc
  All Known Implementing Classes:
    UserTaskInstanceWithPotOwnerDesc

      public interface UserTaskInstanceWithPotOwnerDesc
      extends UserTaskInstanceDesc

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getCorrelationKey()` Returns the uer task correlation key
    `Map<String,Object>` | `getInputdata()` Returns the uer task input data
    `Date` | `getLastModificationDate()` Returns the uer task potential modification date
    `String` | `getLastModificationUser()` Returns the uer task last modification user
    `Map<String,Object>` | `getOutputdata()` Returns the uer task output data
    `List<String>` | `getPotentialOwners()` Returns the uer task potential owners
    `String` | `getProcessInstanceDescription()` Returns the uer task process instance description
    `String` | `getSubject()` Returns the uer task subject

    - ### Methods inherited from interface org.jbpm.services.api.model.UserTaskInstanceDesc

      `getActivationTime, getActualOwner, getCreatedBy, getCreatedOn, getDeploymentId, getDescription, getDueDate, getFormName, getName, getPriority, getProcessId, getProcessInstanceId, getSlaCompliance, getSlaDueDate, getStatus, getTaskId, getWorkItemId, setSlaCompliance, setSlaDueDate`

- - ### Method Detail

    - #### getPotentialOwners

          List<String> getPotentialOwners()

      Returns the uer task potential owners
      Returns:
        potential owners

    - #### getCorrelationKey

          String getCorrelationKey()

      Returns the uer task correlation key
      Returns:
        correlation key

    - #### getLastModificationDate

          Date getLastModificationDate()

      Returns the uer task potential modification date
      Returns:
        modification date

    - #### getLastModificationUser

          String getLastModificationUser()

      Returns the uer task last modification user
      Returns:
        last modification user

    - #### getSubject

          String getSubject()

      Returns the uer task subject
      Returns:
        subject

    - #### getInputdata

          Map<String,Object> getInputdata()

      Returns the uer task input data
      Returns:
        input data

    - #### getOutputdata

          Map<String,Object> getOutputdata()

      Returns the uer task output data
      Returns:
        output data

    - #### getProcessInstanceDescription

          String getProcessInstanceDescription()

      Returns the uer task process instance description
      Returns:
        process instance description

Copyright © 2001–2020 JBoss by Red Hat. All rights reserved.